package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class DMFHFDynamicVO extends HeaderVO{
	private String table_nm;
	private int slot_no;
	private int la;
	private int lo;
	private int sog;
	private int cog;
	private int ale;
	private int btry_sttus;
	private int last_rcv_brdcst_id;
	
	public DMFHFDynamicVO() {
		table_nm = "";
		slot_no = -1;
		la = 54600000;
		lo = 108600000;
		sog = 16383;
		cog = 511;
		ale = -1;
		btry_sttus = 9;
		last_rcv_brdcst_id = 255;
	}
	
	
	public String getTable_nm() {
		return table_nm;
	}

	public void setTable_nm(String table_nm) {
		this.table_nm = table_nm;
	}

	public int getLa() {
		return la;
	}
	public void setLa(int la) {
		this.la = la;
	}
	public int getSlot_no() {
		return slot_no;
	}


	public void setSlot_no(int slot_no) {
		this.slot_no = slot_no;
	}


	public int getLo() {
		return lo;
	}
	public void setLo(int lo) {
		this.lo = lo;
	}
	public int getSog() {
		return sog;
	}
	public void setSog(int sog) {
		this.sog = sog;
	}
	public int getCog() {
		return cog;
	}
	public void setCog(int cog) {
		this.cog = cog;
	}
	public int getAle() {
		return ale;
	}
	public void setAle(int ale) {
		this.ale = ale;
	}
	public int getBtry_sttus() {
		return btry_sttus;
	}
	public void setBtry_sttus(int btry_sttus) {
		this.btry_sttus = btry_sttus;
	}
	public int getLast_rcv_brdcst_id() {
		return last_rcv_brdcst_id;
	}
	public void setLast_rcv_brdcst_id(int last_rcv_brdcst_id) {
		this.last_rcv_brdcst_id = last_rcv_brdcst_id;
	}
	
	public String getString() {
		return "TargetSensor : "+this.targetSensor+"\n"+
				"packetID    : "+this.packetID+"\n"+
				"Slot_No     : "+String.valueOf(this.slot_no) +"\n"+
				"DateTime    : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID 	 : "+this.areaID+"\n"+
				"MsgType 	 : "+this.msgType+"\n"+
				"DataLength  : "+this.dataLength+"\n"+
				"la 	     : " + String.valueOf(this.la) + "\n" + 
				"lo 	     : " + String.valueOf(this.lo) + "\n" + 
				"Sog 		 : " + String.valueOf(this.sog) + "\n" + 
				"Cog 		 : " + String.valueOf(this.cog) + "\n" +
				"ALE 		 : " + String.valueOf(this.ale) + "\n" +
				"btry_sttus  : " + String.valueOf(this.btry_sttus) + "\n" + 
				"last_rcv_brdcst_id : " + String.valueOf(this.last_rcv_brdcst_id);	
	}
}
